get_ball <- function(rcg) {
  ball <- rcg |>
    dplyr::select(
      step, 
      ball_x, 
      ball_y, 
      ball_vx, 
      ball_vy,
    ) |>
    dplyr::distinct(step, .keep_all = T)
  return(ball)
}

get_agent <- function(rcg) {
  agent <- rcg |>
    dplyr::select(
      step,
      side,
      unum,
      type,
      x,
      y,
    )
  return(agent)
}
